ISC BIND Cache Update Policy Deleted Domain Name Resolving Weakness

medium Nessus Plugin ID 62355
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote name server may be affected by a DNS integrity vulnerability.

Description

According to its self-reported version number, the remote installation of BIND will continue to allow revoked domain names to be resolved due to an issue related to the cache update policy. Note that Nessus has only relied on the version itself and has not attempted to determine whether or not the install is actually affected.

Solution

Upgrade to BIND 9.6-ESV-R6 / 9.7.5 / 9.8.2 / 9.9.0 or later.

See Also

http://www.nessus.org/u?38f47769

https://www.isc.org/software/bind/advisories/cve-2012-1033

http://ftp.isc.org/isc/bind9/9.6-ESV-R6/CHANGES

http://ftp.isc.org/isc/bind9/9.7.5/CHANGES

http://ftp.isc.org/isc/bind9/9.8.2/CHANGES

http://ftp.isc.org/isc/bind9/9.9.0/CHANGES

Plugin Details

Severity: Medium

ID: 62355

File Name: bind9_990.nasl

Version: 1.6

Type: remote

Family: DNS

Published: 9/27/2012

Updated: 6/27/2018

Dependencies: bind_version.nasl

Configuration: Enable paranoid mode

Risk Information

VPR

Risk Factor: Low

Score: 3.4

CVSS v2

Risk Factor: Medium

Base Score: 5

Temporal Score: 3.7

Vector: AV:N/AC:L/Au:N/C:N/I:P/A:N

Temporal Vector: E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:isc:bind

Required KB Items: bind/version, Settings/ParanoidReport

Exploit Ease: No known exploits are available

Patch Publication Date: 2/28/2012

Vulnerability Publication Date: 2/7/2012

Reference Information

CVE: CVE-2012-1033

BID: 51898

CERT: 542123